import { IBuildConfig } from '@microsoft/gulp-core-build';
import { JsonObject } from '@rushstack/node-core-library';
import { RSCTask, IRSCTaskConfig } from './RSCTask';
/** @public */
export interface IApiExtractorTaskConfig extends IRSCTaskConfig {
}
/**
 * The ApiExtractorTask uses the api-extractor tool to analyze a project for public APIs. api-extractor will detect
 * common problems and generate a report of the exported public API. The task uses the entry point of a project to
 * find the aliased exports of the project. An api-extractor.ts file is generated for the project in the temp folder.
 * @public
 */
export declare class ApiExtractorTask extends RSCTask<IApiExtractorTaskConfig> {
    constructor();
    loadSchema(): JsonObject;
    isEnabled(buildConfig: IBuildConfig): boolean;
    executeTask(): Promise<void>;
    protected _getConfigFilePath(): string;
    private _getApiExtractorConfigFilePath;
}
//# sourceMappingURL=ApiExtractorTask.d.ts.map