"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license.
// See LICENSE in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
exports.TsParseConfigHost = void 0;
const node_core_library_1 = require("@rushstack/node-core-library");
/**
 * Used as a helper to parse tsconfig.json files.
 */
class TsParseConfigHost {
    constructor() {
        this.useCaseSensitiveFileNames = false;
    }
    readDirectory(rootDir, extensions, excludes, includes) {
        return node_core_library_1.FileSystem.readFolder(rootDir);
    }
    fileExists(path) {
        return node_core_library_1.FileSystem.exists(path);
    }
    readFile(path) {
        return node_core_library_1.FileSystem.readFile(path);
    }
}
exports.TsParseConfigHost = TsParseConfigHost;
//# sourceMappingURL=TsParseConfigHost.js.map