/// <reference types="node" />
import { JsonObject } from '@rushstack/node-core-library';
import { RSCTask, IRSCTaskConfig } from './RSCTask';
/**
 * @public
 */
export interface ITscCmdTaskConfig extends IRSCTaskConfig {
    /**
     * Option to pass custom arguments to the tsc command.
     */
    customArgs?: string[];
    /**
     * Glob matches for files to be passed through the build.
     */
    staticMatch?: string[];
    /**
     * Removes comments from all generated `.js` files in the TSConfig outDir. Will **not** remove comments from
     * generated `.d.ts` files. Defaults to false.
     */
    removeCommentsFromJavaScript?: boolean;
}
/**
 * @public
 */
export declare class TscCmdTask extends RSCTask<ITscCmdTaskConfig> {
    constructor();
    loadSchema(): JsonObject;
    executeTask(): Promise<void>;
    protected _onData(data: Buffer): void;
    private _removeComments;
}
//# sourceMappingURL=TscCmdTask.d.ts.map