"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license.
// See LICENSE in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
exports.TslintCmdTask = void 0;
const path = require("path");
const node_core_library_1 = require("@rushstack/node-core-library");
const RSCTask_1 = require("./RSCTask");
/**
 * @public
 */
class TslintCmdTask extends RSCTask_1.RSCTask {
    constructor() {
        super('tslint', {
            displayAsError: false
        });
    }
    loadSchema() {
        return node_core_library_1.JsonFile.load(path.resolve(__dirname, 'schemas', 'tslint-cmd.schema.json'));
    }
    executeTask() {
        this.initializeRushStackCompiler();
        const rushStackCompiler = this._rushStackCompiler;
        const tslintRunner = new rushStackCompiler.TslintRunner({
            displayAsError: this.taskConfig.displayAsError,
            fileError: this.fileError.bind(this),
            fileWarning: this.fileWarning.bind(this)
        }, this.buildFolder, this._terminalProvider);
        return tslintRunner.invoke();
    }
}
exports.TslintCmdTask = TslintCmdTask;
//# sourceMappingURL=TslintCmdTask.js.map